# Created by pyp2rpm-3.3.1
%global pypi_name django-tests

Name:           python-%{pypi_name}
Version:        1.8.3
Release:        %mkrel 1
Summary:        The Django test suite, as an installable package
Group:          Development/Python
License:        BSD
URL:            https://github.com/moreati/django-tests
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description
django-tests is an unofficial distribution of the Django test suite,
for third-party projects that have found it useful to build on the tests.

Neither the Django project, not the maintainers of this distribution
promise the test suite will have stable APIs. Django’s test suite is not
covered by the project’s deprecation policy. Functions, classes, modules
and entire packages will move or disappear at the drop of a patch release.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
django-tests is an unofficial distribution of the Django test suite,
for third-party projects that have found it useful to build on the tests.

Neither the Django project, not the maintainers of this distribution
promise the test suite will have stable APIs. Django’s test suite is not
covered by the project’s deprecation policy. Functions, classes, modules
and entire packages will move or disappear at the drop of a patch release.

%prep
%setup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%files -n python3-%{pypi_name}
%{python3_sitelib}/django_tests
%{python3_sitelib}/django_tests-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 05 2022 tex - 1.8.3-1pclos2022
- new version

